Bug 1212031 - Review Request: golang-github-hashicorp-go-msgpack- Collection of Open-Source Go libraries and tools
Summary: Review Request: golang-github-hashicorp-go-msgpack- Collection of Open-Source...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael S.
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1208616 1212065 1212068 1212075 1212105 1212318 1212346
TreeView+ depends on / blocked
 
Reported: 2015-04-15 12:42 UTC by Jan Chaloupka
Modified: 2015-07-08 17:05 UTC (History)
2 users (show)

Fixed In Version: golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:04:41 UTC
misc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-04-15 12:42:01 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-go-msgpack/golang-github-hashicorp-go-msgpack.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-go-msgpack/golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.fc20.src.rpm

Description: Collection of Open-Source Go libraries and tools

Fedora Account System Username: jchaloup

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-hashicorp-go-msgpack-devel-0-0.1.git71c2886.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Michael S. 2015-05-08 02:24:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- No need to copy the python file codec/msgpack_test.py, since this will trigger a requires
on python.
- License should be in %license  
- The rpm should be tagged as noarch, without conditionals.

Provided theses 3 issues are fixed, the package is approved.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/1212031-golang-
     github-hashicorp-go-msgpack/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-hashicorp-go-msgpack-devel-0-0.1.git71c2886.el7.centos.noarch.rpm
          golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.el7.centos.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-hashicorp-go-msgpack-devel (rpmlib, GLIBC filtered):
    /usr/bin/env
    golang



Provides
--------
golang-github-hashicorp-go-msgpack-devel:
    golang(github.com/hashicorp/go-msgpack/codec)
    golang-github-hashicorp-go-msgpack-devel



Source checksums
----------------
https://github.com/hashicorp/go-msgpack/archive/71c2886f5a673a35f909803f38ece5810165097b/go-msgpack-71c2886.tar.gz :
  CHECKSUM(SHA256) this package     : c32b90e67762a375981b38154cae65222bb1aaa7722727d0225d5f8de773e4c8
  CHECKSUM(SHA256) upstream package : c32b90e67762a375981b38154cae65222bb1aaa7722727d0225d5f8de773e4c8


Generated by fedora-review 0.5.2 (18d98aa) last change: 2014-10-14
Command line :./try-fedora-review -b 1212031
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Jan Chaloupka 2015-06-16 10:10:57 UTC
New Package SCM Request
=======================
Package Name: golang-github-hashicorp-go-msgpack
Short Description: Collection of Open-Source Go libraries and tools
Upstream URL: https://github.com/hashicorp/go-msgpack
Owners: jchaloup lsm5
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-06-16 13:45:40 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-06-19 11:18:52 UTC
golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.fc22

Comment 5 Fedora Update System 2015-06-19 12:52:38 UTC
golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.fc21

Comment 6 Fedora Update System 2015-06-19 12:54:24 UTC
golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.el6

Comment 7 Fedora Update System 2015-06-20 21:15:45 UTC
golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-06-30 00:04:41 UTC
golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-06-30 00:15:04 UTC
golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.fc22 has been pushed to the Fedora 22 stable repository.

Comment 10 Fedora Update System 2015-07-08 17:05:16 UTC
golang-github-hashicorp-go-msgpack-0-0.1.git71c2886.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.